Bug 98376 - smartd misses /dev/hdm
smartd misses /dev/hdm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 17:18 EDT by Alexandre Oliva
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 16:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-07-01 17:18:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030619

Description of problem:
smartd fills the syslog with errors about being unable to open() SCSI devices up
to /dev/sdz, but it stops IDE scanning at /dev/hdl, missing two of my hard disks
named /dev/hdm and /dev/hdo.  Any chance of extending smartd such that it goes
up to /dev/hdt, which seems to be the last hd device in /dev, and of silencing
the errors that needlessly fill not only the syslog, but also the LogWatch summary?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Get a machine with 8 IDE channels and install a disk in the last such channel
2.Start smartd
3.Look at the syslog

Actual Results:  It didn't even try to look for /dev/hdo or /dev/hdm

Expected Results:  It should go up to /dev/hdt.

Additional info:
Comment 1 Bruce Allen 2003-10-19 17:03:27 EDT
(1) You can stop smartd from scanning at all, by creating /etc/smartd.conf. 
Please see man smartd and man smartd.conf

(2) I did't realize that IDE devices could extend beyone 12 (/dev/hda-/dev/hdl).
If no config file is given, we can trivially modify it to scan beyone /dev/hdl.
How many additional devices are needed?

(3) If you want to only scan ATA and not SCSI, you can use
DEVICESCAN -d ata
in /etc/smartd.conf

(4) I'm not sure what version of smartmontools is currently in Fedora.  I
suggest upgrading to 5.20 or 5.21.  See http://smartmontools.sf.net
Comment 2 Arjan van de Ven 2003-10-19 17:05:49 EDT
IDE can go upto 20 disks...
Comment 3 Bruce Allen 2003-10-19 17:11:27 EDT
OK, I'll fix it in smartmontools release 5.22.  We'll scan 20 devices /dev/hda-t.

Bruce
Comment 4 Alexandre Oliva 2003-10-19 17:31:31 EDT
Thanks, I have set up a smartd.conf a long time ago to work around the bug, but
I still try DEVICESCAN every now and then to see whether the default scanning
doesn't cover all devices it should.  Thanks for fixing this!
Comment 5 Bruce Allen 2003-10-19 18:21:48 EDT
Somewhat off topic: I do a search query of bugzilla for smartctl,smartd,
smartmontools,smartsuite every couple of days.  This is the first time that I
got your three-month old bug report in the response.  Any idea why?  Was
bugzilla just updated and a search bug got fixed?
Comment 6 Alexandre Oliva 2003-10-19 18:49:04 EDT
It was originally filed against a private alpha release.  I only changed it to
Fedora Core and opened it up today.
Comment 7 Bruce Allen 2003-10-22 12:06:01 EDT
This has now been fixed, and will be in the upcoming smartmontools 5.22 release.

If you would like to test it, please download the code from the SourceForge CVS
pserver - instructions are at http://smartmontools.sf.net/
Comment 8 Alexandre Oliva 2003-10-25 14:09:09 EDT
Erhm...  kernel-utils-2.4-9.1.101.fedora was updated to 5.21, so it still
doesn't have the fix :-(
Comment 9 Bruce Allen 2003-10-30 04:18:21 EST
This is fixed in the smartmontools 5.22 release.  I am sure it will migrate to
Fedora reasonably soon.
Comment 10 Alexandre Oliva 2004-10-08 16:46:12 EDT
It's fixed in rawhide, and probably has been for quite a while.  Thanks,

Note You need to log in before you can comment on or make changes to this bug.